QGIS Application - Bug report #7832
QGIS raster, merge
2013-05-15 04:57 AM - Laurent Hivert

Status: Closed

Priority: Normal

Assignee:

Category: GDAL Tools

Affected QGIS version:master Regression?: No
Operating System: Windows7 Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 16715
Description

When | try to merge raster files with Raster / Miscellaneous / Merge, | get that error message :

ERROR 2: Cannot allocate result buffer

Traceback (most recent call last):

File "C:\OSGeo4W\\bin\\gdal_merge.py", line 509, in
sys.exit(main())

File "C:\OSGeo4W\\bin\\gdal_merge.py", line 498, in main
fi.copy_into(t_fh, band, t_band, nodata )

File "C:\OSGeo4W\\bin\\gdal_merge.py", line 241, in copy_into
nodata_arg)

File "C:\OSGeo4W\\bin\\gdal_merge.py", line 74, in raster_copy
data, t_xsize, t_ysize, t_band.DataType )

File "C:\OSGeo4W\\apps\\Python27\\lib\\site-packages\\osgeo\\gdal.py", line 979, in WriteRaster
return _gdal.Band_WriteRaster(self, *args, **kwargs)
TypeError: not a string

QGIS 1.8 OSgeo installation

Thanks.

History

#1 - 2013-05-16 09:57 AM - Giovanni Manghi
- Status changed from Open to Feedback

do you have an old version of gdtools installed? can you post the actual command that the tool is using (is at the bottom of the dialog)?

#2 - 2014-06-21 02:01 PM - Giovanni Manghi
- Resolution set to invalid
- Status changed from Feedback to Closed

closing for lack of feedback.
